% This file is a part of ``A* homework''
% Copyright (c) Michael Otte <ottemw@mit.edu>
%
% Permission is hereby granted, free of charge, to any person
% obtaining a copy of this software and associated documentation
% files (the "Software"), to deal in the Software without
% restriction, including without limitation the rights to use,
% copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the
% Software is furnished to do so, subject to the following
% conditions:
%
% The above copyright notice and this permission notice shall be
% included in all copies or substantial portions of the Software.
% 
% THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
% EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
% OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
% NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
% HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
% WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
% FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
% OTHER DEALINGS IN THE SOFTWARE.
%
% Written by Michael Otte 2007, University of Colorado at Boulder
% Modified by Michael Otte 2012, Massachusetts Institute of Technology


function [path_rows path_cols] = astar(map,start,goal)

start_row = start(1); 
start_col = start(2); 

goal_row = goal(1);
goal_col = goal(2);

% your Astar code goes here
% the rest of this file is junk and should be removed

if start_row == goal_row
    path_rows = start_row;
elseif start_row < goal_row
    path_rows = start_row:goal_row;
else
    path_rows = start_row:-1:goal_row;
end


if start_col == goal_col
    path_cols = start_col;
elseif start_col < goal_col
    path_cols = start_col:goal_col;
else
    path_cols = start_col:-1:goal_col;
end

if length(path_rows) > length(path_cols)
   path_cols(end+1:end+length(path_rows)-length(path_cols)) = goal_col;    
elseif length(path_rows) < length(path_cols)
   path_rows(end+1:end+length(path_cols)-length(path_rows)) = goal_row;   
end
